Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# DiaAddAction.cpp

Go to the documentation of this file.

    00001 // DiaAddAction.cpp : fichier d'implémentation
    00002 //
    00003
    00004 #include "stdafx.h"
    00005 #include "SDKInterface.h"
    00006 #include "DiaAddAction.h"
    00007
    00008
    00009 // Boîte de dialogue CDiaAddAction
    00010
    00011 IMPLEMENT_DYNAMIC(CDiaAddAction, CDialog)
    00012 CDiaAddAction::CDiaAddAction(CWnd* pParent /*=NULL*/)
    00013         : CDialog(CDiaAddAction::IDD, pParent)
    00014         , m_TopX(_T("0"))
    00015         , m_TopY(_T("0"))
    00016         , m_BottomX(_T("0"))
    00017         , m_BottomY(_T("0"))
    00018         , m_Param(_T("NONE"))
    00019         , m_EditAction(_T("0"))
    00020         , m_EditEvent(_T("40000"))
    00021 {
    00022
    00023 }
    00024
    00025 CDiaAddAction::~CDiaAddAction()
    00026 {
    00027 }
    00028
    00029 void CDiaAddAction::DoDataExchange(CDataExchange* pDX)
    00030 {
    00031         CDialog::DoDataExchange(pDX);
    00032         DDX_Text(pDX, IDC_EDITTOPX, m_TopX);
    00033         DDX_Text(pDX, IDC_EDITTOPY, m_TopY);
    00034         DDX_Text(pDX, IDC_EDITBOTTOMX, m_BottomX);
    00035         DDX_Text(pDX, IDC_EDITBOTTOMY, m_BottomY);
    00036         DDX_Text(pDX, IDC_EDITPARAM, m_Param);
    00037         DDX_Text(pDX, IDC_EDITACTION, m_EditAction);
    00038         DDX_Text(pDX, IDC_EDITEVENT, m_EditEvent);
    00039 }
    00040
    00041
    00042 BEGIN_MESSAGE_MAP(CDiaAddAction, CDialog)
    00043         ON_BN_CLICKED(IDC_BUTTON1, OnBnClickedButton1)
    00044         ON_BN_CLICKED(IDC_BUTTON2, OnBnClickedButton2)
    00045 END_MESSAGE_MAP()
    00046
    00047
    00048 // Gestionnaires de messages CDiaAddAction
    00049
    00050 void CDiaAddAction::OnBnClickedButton1()
    00051 {
    00052         // TODO : ajoutez ici le code de votre gestionnaire de notification de contrôle
    00053 }
    00054
    00055 void CDiaAddAction::OnBnClickedButton2()
    00056 {
    00057         // TODO : ajoutez ici le code de votre gestionnaire de notification de contrôle
    00058 }